## net.sf.colorer.eclipse.outline
Class WorkbenchOutliner

    java.lang.Object
      net.sf.colorer.editor.Outliner
          net.sf.colorer.eclipse.outline.WorkbenchOutliner

All Implemented Interfaces:
  RegionHandler

public class WorkbenchOutliner
extends Outliner

Field Summary

Fields inherited from class net.sf.colorer.editor.Outliner
`outline`

Constructor Summary
`WorkbenchOutliner(Region filter)`

Method Summary
`void` `addListener(OutlineListener listener)`
`OutlineItem` `createItem(int lno, int sx, int curLevel, java.lang.String itemLabel, Region region)`
`void` `endParsing(int lno)` End of text parsing.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.Object[]` `getChildren(java.lang.Object object)`
`ImageDescriptor` `getImageDescriptor(java.lang.Object object)`
`java.lang.String` `getLabel(java.lang.Object object)`
`java.lang.Object` `getParent(java.lang.Object o)`
`void` `removeListener(OutlineListener listener)`
`void` `setHierarchy(boolean hierarchy)`
`void` `startParsing(int lno)` Start of text parsing.

Methods inherited from class net.sf.colorer.editor.Outliner
`addRegion, clearLine, enterScheme, getFilter, getItem, isOutlined, itemCount, leaveScheme`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchOutliner

    public WorkbenchOutliner(Region filter)

Method Detail

### addListener

    public void addListener(OutlineListener listener)

### removeListener

    public void removeListener(OutlineListener listener)

### setHierarchy

    public void setHierarchy(boolean hierarchy)

### createItem

    public OutlineItem createItem(int lno,
                                  int sx,
                                  int curLevel,
                                  java.lang.String itemLabel,
                                  Region region)

  Overrides:
    `createItem` in class `Outliner`

### startParsing

    public void startParsing(int lno)

  Description copied from interface: `RegionHandler`
  Start of text parsing. Called only once, when TextParser starts parsing of the specified block of text. All other event messages comes between this call and endParsing call.

  Specified by:
    `startParsing` in interface `RegionHandler`
  Overrides:
    `startParsing` in class `Outliner`

### endParsing

    public void endParsing(int lno)

  Description copied from interface: `RegionHandler`
  End of text parsing. Called only once, when TextParser stops parsing of the specified block of text.

  Specified by:
    `endParsing` in interface `RegionHandler`
  Overrides:
    `endParsing` in class `Outliner`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object object)

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(java.lang.Object object)

### getLabel

    public java.lang.String getLabel(java.lang.Object object)

### getParent

    public java.lang.Object getParent(java.lang.Object o)

Copyright © 2003 Cail Lomecb. All Rights Reserved.